Issue running juicer.sh on LSF cluster

266 views
Skip to first unread message

kalav...@gmail.com

unread,
Sep 12, 2017, 2:36:03 PM9/12/17
to 3D Genomics
Hi, thank you for your great programs and support. I am having some issues to run juicer.sh on my institution's cluster (LSF).

1. Command line readout:

[ala1zp@bmiclusterp2 juicer]$ /scratch/ala1zp/opt/juicer/scripts/juicer.sh

(-: Looking for fastq files...fastq files exist

short: No such queue. Job not submitted.

(-: Aligning files matching /scratch/ala1zp/opt/juicer/fastq/*_R*.fastq*

 in queue short to genome hg19 with site file /scratch/ala1zp/opt/juicer/restriction_sites/hg19_MboI.txt

(-: Created /scratch/ala1zp/opt/juicer/splits and /scratch/ala1zp/opt/juicer/aligned.

(-: Starting job to launch other jobs once splitting is complete

short: No such queue. Job not submitted.

short: No such queue. Job not submitted.

short: No such queue. Job not submitted.

long: User cannot use the queue. Job not submitted.

short: No such queue. Job not submitted.

short: No such queue. Job not submitted.

short: No such queue. Job not submitted.

long: User cannot use the queue. Job not submitted.

short: No such queue. Job not submitted.

short: No such queue. Job not submitted.

short: No such queue. Job not submitted.

short: No such queue. Job not submitted.

short: No such queue. Job not submitted.

short: No such queue. Job not submitted.

short: No such queue. Job not submitted.

(-: Finished adding all jobs... please wait while processing.


[ala1zp@bmiclusterp2 juicer]$ ls

aligned  fastq  HIC_tmp  references  restriction_sites  scripts  splits


There are no contents in /aligned and no contents in /HIC_tmp. There are contents in /splits:

HIC003_S2_L001_R1_001.fastq.gz  HIC003_S2_L001_R2_001.fastq.gz


Can you please give some guidance on how to troubleshoot this?


Thanks again,

Kris

Neva Durand

unread,
Sep 12, 2017, 2:42:21 PM9/12/17
to kalav...@gmail.com, 3D Genomics
Hello Kris,

Thanks for the compliment!

You need to adjust the queues to be correct for your system.  You can do this directly in the script, or by passing them in with the "-q <short queue>" flag and "-l <long queue>" flag.  You may not have different queues, in which case you should just send in the same.

For instance, on one of our systems, the short queue was called "hour" and the long queue was called "week"; you would run 

juicer.sh -q hour -l week

On another system, there is only one queue called "commons".  In this case you would run

juicer.sh -q commons -l commons

On LSF, you often need to specify the maximum amount of time your job will run.  You should set this to the maximum allowed by the queue.  Use the "-Q" and "-L" flags to set this value for the short and long queues, respectively.

Contact whoever manages your cluster if you don't know the names of the queues or the time limits.  

There are more details on how to run Juicer here:

Best
Neva

--
You received this message because you are subscribed to the Google Groups "3D Genomics" group.
To unsubscribe from this group and stop receiving emails from it, send an email to 3d-genomics+unsubscribe@googlegroups.com.
To view this discussion on the web visit https://groups.google.com/d/msgid/3d-genomics/3d747e45-f248-48ea-b539-ca04b8bdde9f%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.



--
Neva Cherniavsky Durand, Ph.D.
Staff Scientist, Aiden Lab

kalav...@gmail.com

unread,
Sep 14, 2017, 10:49:35 AM9/14/17
to 3D Genomics
Thanks so much, Neva.

I contacted the manager of my cluster for the details I needed, and I've been able to move forward with the pipeline.

I wonder if I can ask your advice to troubleshoot another issue: Now, fragmerge1 exits with exit code 255, which sends the remaining jobs in the LSF batch job into perpetual PEND status.

Can this be related to an issue described in this post?

I copied the readout for fragmerge1 from the lsf.out below (and, below that, I copied the full lsf.out).

Thanks again,
Kris


I. fragmerge1 section of lsf.out
The output (if any) follows:

Sender: LSF System <srv-lsf@bmi-460g6-09>
Subject: Job 814792: <a1505344366_fragmerge1> Exited

Job <a1505344366_fragmerge1> was submitted from host <bmi-250g8-01> by user <ala1zp> in cluster <BMICluster>.
Job was executed on host(s) <bmi-460g6-09>, in queue <normal>, as user <ala1zp> in cluster <BMICluster>.
</users/ala1zp> was used as the home directory.
</scratch/ala1zp/opt/juicer> was used as the working directory.
Started at Wed Sep 13 19:20:05 2017
Results reported at Wed Sep 13 19:20:07 2017

Your job looked like:

------------------------------------------------------------
# LSBATCH: User input
    #!/bin/bash
    #BSUB -q normal
    #BSUB -M 16000
    #BSUB -W 24:00
    #BSUB -o /scratch/ala1zp/opt/juicer/lsf.out
    #BSUB -w " done(a1505344366_chimeric*) " 
    #BSUB -J "a1505344366_fragmerge1"
    bkill -q Clean2 0

------------------------------------------------------------

Exited with exit code 255.

Resource usage summary:

    CPU time   :      0.45 sec.
    Max Memory :         6 MB
    Max Swap   :       469 MB

    Max Processes  :         4
    Max Threads    :         4

The output (if any) follows:

Clean2: No such queue
Sender: LSF System <srv-lsf@bmi-250g8-02>
Subject: Job 814793: <a1505344366_fragmerge> Done

Job <a1505344366_fragmerge> was submitted from host <bmi-250g8-01> by user <ala1zp> in cluster <BMICluster>.
Job was executed on host(s) <bmi-250g8-02>, in queue <normal>, as user <ala1zp> in cluster <BMICluster>.
</users/ala1zp> was used as the home directory.
</scratch/ala1zp/opt/juicer> was used as the working directory.
Started at Wed Sep 13 19:20:05 2017
Results reported at Wed Sep 13 19:20:22 2017


II. full lsf.out
Sender: LSF System <srv-lsf@bmi-460g9-13>
Subject: Job 814785: <a1505344366_cmd> Done

Job <a1505344366_cmd> was submitted from host <bmi-250g8-01> by user <ala1zp> in cluster <BMICluster>.
Job was executed on host(s) <bmi-460g9-13>, in queue <normal>, as user <ala1zp> in cluster <BMICluster>.
</users/ala1zp> was used as the home directory.
</scratch/ala1zp/opt/juicer> was used as the working directory.
Started at Wed Sep 13 19:12:48 2017
Results reported at Wed Sep 13 19:12:50 2017

Your job looked like:

------------------------------------------------------------
# LSBATCH: User input
    date
    echo "Juicer version:1.5" 
    echo "/usr/local/juicer/1.0.0/scripts/juicer.sh -s MboI -q normal -l normal -Q 24:00 -L 24:00 -d /scratch/ala1zp/opt/juicer -D /scratch/ala1zp/opt/juicer -z /scratch/ala1zp/opt/juicer/references/Homo_sapiens_assembly19.fasta -y /scratch/ala1zp/opt/juicer/restriction_sites/hg19_MboI.txt -p /scratch/ala1zp/opt/juicer/references/hg19.chrom.sizes"

------------------------------------------------------------

Successfully completed.

Resource usage summary:

    CPU time   :      0.39 sec.
    Max Memory :        23 MB
    Max Swap   :       516 MB

    Max Processes  :         4
    Max Threads    :         4

The output (if any) follows:

Wed Sep 13 19:12:50 EDT 2017
Juicer version:1.5
/usr/local/juicer/1.0.0/scripts/juicer.sh -s MboI -q normal -l normal -Q 24:00 -L 24:00 -d /scratch/ala1zp/opt/juicer -D /scratch/ala1zp/opt/juicer -z /scratch/ala1zp/opt/juicer/references/Homo_sapiens_assembly19.fasta -y /scratch/ala1zp/opt/juicer/restriction_sites/hg19_MboI.txt -p /scratch/ala1zp/opt/juicer/references/hg19.chrom.sizes
Sender: LSF System <srv-lsf@bmi-460g7-04>
Subject: Job 814786: <a1505344366HIC003_S2_L001_001.fastq.gz_Count_Ligation> Done

Job <a1505344366HIC003_S2_L001_001.fastq.gz_Count_Ligation> was submitted from host <bmi-250g8-01> by user <ala1zp> in cluster <BMICluster>.
Job was executed on host(s) <bmi-460g7-04>, in queue <normal>, as user <ala1zp> in cluster <BMICluster>.
</users/ala1zp> was used as the home directory.
</scratch/ala1zp/opt/juicer> was used as the working directory.
Started at Wed Sep 13 19:12:48 2017
Results reported at Wed Sep 13 19:12:53 2017

Your job looked like:

------------------------------------------------------------
# LSBATCH: User input
#!/bin/bash
#BSUB -q normal
#BSUB -M 16000
        #BSUB -W 24:00
#BSUB -o /scratch/ala1zp/opt/juicer/lsf.out
#BSUB -J "a1505344366HIC003_S2_L001_001.fastq.gz_Count_Ligation"
export ARG1=1;export name=/scratch/ala1zp/opt/juicer/splits/HIC003_S2_L001; export name1=/scratch/ala1zp/opt/juicer/splits/HIC003_S2_L001_R1; export name2=/scratch/ala1zp/opt/juicer/splits/HIC003_S2_L001_R2; export ext=_001.fastq.gz; export ligation=GATCGATC; /scratch/ala1zp/opt/juicer/scripts/countligations.sh

------------------------------------------------------------

Successfully completed.

Resource usage summary:

    CPU time   :      1.64 sec.
    Max Memory :         8 MB
    Max Swap   :       469 MB

    Max Processes  :         4
    Max Threads    :         4

The output (if any) follows:

/scratch/ala1zp/opt/juicer/scripts/countligations.sh: line 28: [: : integer expression expected
Sender: LSF System <srv-lsf@bmi-460g7-03>
Subject: Job 814787: <a1505344366_align1HIC003_S2_L001_001.fastq.gz> Done

Job <a1505344366_align1HIC003_S2_L001_001.fastq.gz> was submitted from host <bmi-250g8-01> by user <ala1zp> in cluster <BMICluster>.
Job was executed on host(s) <bmi-460g7-03>, in queue <normal>, as user <ala1zp> in cluster <BMICluster>.
</users/ala1zp> was used as the home directory.
</scratch/ala1zp/opt/juicer> was used as the working directory.
Started at Wed Sep 13 19:12:48 2017
Results reported at Wed Sep 13 19:14:24 2017

Your job looked like:

------------------------------------------------------------
# LSBATCH: User input
#!/bin/bash
#BSUB -q normal
#BSUB -M 16000
#BSUB -o /scratch/ala1zp/opt/juicer/lsf.out
#BSUB -W 24:00
#BSUB -R "rusage[mem=12000]"
#BSUB -J "a1505344366_align1HIC003_S2_L001_001.fastq.gz"
# Align read1 
if [ -n "" ] || [ "0" -eq 1 ]
then
           echo 'Running command bwa aln -q 15 /scratch/ala1zp/opt/juicer/references/Homo_sapiens_assembly19.fasta /scratch/ala1zp/opt/juicer/splits/HIC003_S2_L001_R1_001.fastq.gz > /scratch/ala1zp/opt/juicer/splits/HIC003_S2_L001_R1_001.fastq.gz.sai && bwa samse /scratch/ala1zp/opt/juicer/references/Homo_sapiens_assembly19.fasta /scratch/ala1zp/opt/juicer/splits/HIC003_S2_L001_R1_001.fastq.gz.sai /scratch/ala1zp/opt/juicer/splits/HIC003_S2_L001_R1_001.fastq.gz > /scratch/ala1zp/opt/juicer/splits/HIC003_S2_L001_R1_001.fastq.gz.sam'
   bwa aln -q 15 /scratch/ala1zp/opt/juicer/references/Homo_sapiens_assembly19.fasta /scratch/ala1zp/opt/juicer/splits/HIC003_S2_L001_R1_001.fastq.gz > /scratch/ala1zp/opt/juicer/splits/HIC003_S2_L001_R1_001.fastq.gz.sai && bwa samse /scratch/ala1zp/opt/juicer/references/Homo_sapiens_assembly19.fasta /scratch/ala1zp/opt/juicer/splits/HIC003_S2_L001_R1_001.fastq.gz.sai /scratch/ala1zp/opt/juicer/splits/HIC003_S2_L001_R1_001.fastq.gz > /scratch/ala1zp/opt/juicer/splits/HIC003_S2_L001_R1_001.fastq.gz.sam
   if [ $? -ne 0 ]
   then 
              echo "Alignment of /scratch/ala1zp/opt/juicer/splits/HIC003_S2_L001_R1_001.fastq.gz failed. Check /scratch/ala1zp/opt/juicer/lsf.out for results"
      exit 100
   else
      echo "(-: Short align of /scratch/ala1zp/opt/juicer/splits/HIC003_S2_L001_R1_001.fastq.gz.sam done successfully"
   fi

else
           echo 'Running command bwa mem  /scratch/ala1zp/opt/juicer/references/Homo_sapiens_assembly19.fasta /scratch/ala1zp/opt/juicer/splits/HIC003_S2_L001_R1_001.fastq.gz > /scratch/ala1zp/opt/juicer/splits/HIC003_S2_L001_R1_001.fastq.gz.sam '
   bwa mem -t 16 /scratch/ala1zp/opt/juicer/references/Homo_sapiens_assembly19.fasta /scratch/ala1zp/opt/juicer/splits/HIC003_S2_L001_R1_001.fastq.gz > /scratch/ala1zp/opt/juicer/splits/HIC003_S2_L001_R1_001.fastq.gz.sam
   if [ $? -ne 0 ]
   then 
      exit 100
   else
      echo "(-: Mem align of /scratch/ala1zp/opt/juicer/splits/HIC003_S2_L001_R1_001.fastq.gz.sam done successfully"
   fi
fi

------------------------------------------------------------

Successfully completed.

Resource usage summary:

    CPU time   :    578.97 sec.
    Max Memory :      6922 MB
    Max Swap   :      8272 MB

    Max Processes  :         5
    Max Threads    :        22

The output (if any) follows:

Running command bwa mem  /scratch/ala1zp/opt/juicer/references/Homo_sapiens_assembly19.fasta /scratch/ala1zp/opt/juicer/splits/HIC003_S2_L001_R1_001.fastq.gz > /scratch/ala1zp/opt/juicer/splits/HIC003_S2_L001_R1_001.fastq.gz.sam 
[M::main_mem] read 1600000 sequences (160000000 bp)...
[M::main_mem] read 748578 sequences (74857800 bp)...
[main] Version: 0.7.4-r385
[main] CMD: bwa mem -t 16 /scratch/ala1zp/opt/juicer/references/Homo_sapiens_assembly19.fasta /scratch/ala1zp/opt/juicer/splits/HIC003_S2_L001_R1_001.fastq.gz
[main] Real time: 92.741 sec; CPU: 578.373 sec
(-: Mem align of /scratch/ala1zp/opt/juicer/splits/HIC003_S2_L001_R1_001.fastq.gz.sam done successfully
Sender: LSF System <srv-lsf@bmi-460g7-07>
Subject: Job 814788: <a1505344366_align2HIC003_S2_L001_001.fastq.gz> Done

Job <a1505344366_align2HIC003_S2_L001_001.fastq.gz> was submitted from host <bmi-250g8-01> by user <ala1zp> in cluster <BMICluster>.
Job was executed on host(s) <bmi-460g7-07>, in queue <normal>, as user <ala1zp> in cluster <BMICluster>.
</users/ala1zp> was used as the home directory.
</scratch/ala1zp/opt/juicer> was used as the working directory.
Started at Wed Sep 13 19:12:48 2017
Results reported at Wed Sep 13 19:15:47 2017

Your job looked like:

------------------------------------------------------------
# LSBATCH: User input
#!/bin/bash
#BSUB -q normal
#BSUB -M 16000
#BSUB -o /scratch/ala1zp/opt/juicer/lsf.out
        #BSUB -W 24:00
#BSUB -R "rusage[mem=12000]"
#BSUB -J "a1505344366_align2HIC003_S2_L001_001.fastq.gz"
# Align read2
if [ -n "" ] || [ "0" -eq 2 ]
then
           echo 'Running command bwa aln -q 15 /scratch/ala1zp/opt/juicer/references/Homo_sapiens_assembly19.fasta /scratch/ala1zp/opt/juicer/splits/HIC003_S2_L001_R2_001.fastq.gz > /scratch/ala1zp/opt/juicer/splits/HIC003_S2_L001_R2_001.fastq.gz.sai && bwa samse /scratch/ala1zp/opt/juicer/references/Homo_sapiens_assembly19.fasta /scratch/ala1zp/opt/juicer/splits/HIC003_S2_L001_R2_001.fastq.gz.sai /scratch/ala1zp/opt/juicer/splits/HIC003_S2_L001_R2_001.fastq.gz > /scratch/ala1zp/opt/juicer/splits/HIC003_S2_L001_R2_001.fastq.gz.sam '
   bwa aln -q 15 /scratch/ala1zp/opt/juicer/references/Homo_sapiens_assembly19.fasta /scratch/ala1zp/opt/juicer/splits/HIC003_S2_L001_R2_001.fastq.gz > /scratch/ala1zp/opt/juicer/splits/HIC003_S2_L001_R2_001.fastq.gz.sai && bwa samse /scratch/ala1zp/opt/juicer/references/Homo_sapiens_assembly19.fasta /scratch/ala1zp/opt/juicer/splits/HIC003_S2_L001_R2_001.fastq.gz.sai /scratch/ala1zp/opt/juicer/splits/HIC003_S2_L001_R2_001.fastq.gz > /scratch/ala1zp/opt/juicer/splits/HIC003_S2_L001_R2_001.fastq.gz.sam
   if [ $? -ne 0 ]
   then 
              echo "Alignment of /scratch/ala1zp/opt/juicer/splits/HIC003_S2_L001_R2_001.fastq.gz failed. Check /scratch/ala1zp/opt/juicer/lsf.out for results"
      exit 100
   else
      echo "(-: Short align of /scratch/ala1zp/opt/juicer/splits/HIC003_S2_L001_R2_001.fastq.gz.sam done successfully"
   fi

else
          echo 'Running command bwa mem  /scratch/ala1zp/opt/juicer/references/Homo_sapiens_assembly19.fasta /scratch/ala1zp/opt/juicer/splits/HIC003_S2_L001_R2_001.fastq.gz > /scratch/ala1zp/opt/juicer/splits/HIC003_S2_L001_R2_001.fastq.gz.sam'
  bwa mem -t 16 /scratch/ala1zp/opt/juicer/references/Homo_sapiens_assembly19.fasta /scratch/ala1zp/opt/juicer/splits/HIC003_S2_L001_R2_001.fastq.gz > /scratch/ala1zp/opt/juicer/splits/HIC003_S2_L001_R2_001.fastq.gz.sam
  if [ $? -ne 0 ]
  then 
     exit 100
  else
     echo "(-: Mem align of /scratch/ala1zp/opt/juicer/splits/HIC003_S2_L001_R2_001.fastq.gz.sam done successfully"
  fi
       fi

------------------------------------------------------------

Successfully completed.

Resource usage summary:

    CPU time   :    587.67 sec.
    Max Memory :      6706 MB
    Max Swap   :      7713 MB

    Max Processes  :         5
    Max Threads    :        22

The output (if any) follows:

Running command bwa mem  /scratch/ala1zp/opt/juicer/references/Homo_sapiens_assembly19.fasta /scratch/ala1zp/opt/juicer/splits/HIC003_S2_L001_R2_001.fastq.gz > /scratch/ala1zp/opt/juicer/splits/HIC003_S2_L001_R2_001.fastq.gz.sam
[M::main_mem] read 1600000 sequences (160000000 bp)...
[M::main_mem] read 748578 sequences (74857800 bp)...
[main] Version: 0.7.4-r385
[main] CMD: bwa mem -t 16 /scratch/ala1zp/opt/juicer/references/Homo_sapiens_assembly19.fasta /scratch/ala1zp/opt/juicer/splits/HIC003_S2_L001_R2_001.fastq.gz
[main] Real time: 176.029 sec; CPU: 586.886 sec
(-: Mem align of /scratch/ala1zp/opt/juicer/splits/HIC003_S2_L001_R2_001.fastq.gz.sam done successfully
Sender: LSF System <srv-lsf@bmi-250g8-01>
Subject: Job 814789: <a1505344366_mergeHIC003_S2_L001_001.fastq.gz> Done

Job <a1505344366_mergeHIC003_S2_L001_001.fastq.gz> was submitted from host <bmi-250g8-01> by user <ala1zp> in cluster <BMICluster>.
Job was executed on host(s) <bmi-250g8-01>, in queue <normal>, as user <ala1zp> in cluster <BMICluster>.
</users/ala1zp> was used as the home directory.
</scratch/ala1zp/opt/juicer> was used as the working directory.
Started at Wed Sep 13 19:15:51 2017
Results reported at Wed Sep 13 19:17:25 2017

Your job looked like:

------------------------------------------------------------
# LSBATCH: User input
#!/bin/bash
#BSUB -q normal
#BSUB -M 16000
        #BSUB -W 24:00
#BSUB -o /scratch/ala1zp/opt/juicer/lsf.out
#BSUB -R "rusage[mem=8000]"
#BSUB -w " done(a1505344366_align1HIC003_S2_L001_001.fastq.gz) && done(a1505344366_align2HIC003_S2_L001_001.fastq.gz) "
#BSUB -J "a1505344366_mergeHIC003_S2_L001_001.fastq.gz"
export LC_ALL=C

# sort read 1 aligned file by readname 
sort -T /scratch/ala1zp/opt/juicer/HIC_tmp -k1,1 /scratch/ala1zp/opt/juicer/splits/HIC003_S2_L001_R1_001.fastq.gz.sam > /scratch/ala1zp/opt/juicer/splits/HIC003_S2_L001_R1_001.fastq.gz_sort.sam
if [ $? -ne 0 ]
then 
   echo "***! Error while sorting /scratch/ala1zp/opt/juicer/splits/HIC003_S2_L001_R1_001.fastq.gz.sam"
   echo "Sort of /scratch/ala1zp/opt/juicer/splits/HIC003_S2_L001_R1_001.fastq.gz.sam failed. Check /scratch/ala1zp/opt/juicer/lsf.out for results"
   exit 100
else
   echo "(-: Sort read 1 aligned file by readname completed."
fi

# sort read 2 aligned file by readname 
sort -T /scratch/ala1zp/opt/juicer/HIC_tmp -k1,1 /scratch/ala1zp/opt/juicer/splits/HIC003_S2_L001_R2_001.fastq.gz.sam > /scratch/ala1zp/opt/juicer/splits/HIC003_S2_L001_R2_001.fastq.gz_sort.sam
if [ $? -ne 0 ]
then 
   echo "***! Error while sorting /scratch/ala1zp/opt/juicer/splits/HIC003_S2_L001_R2_001.fastq.gz.sam"  
   echo "Sort of /scratch/ala1zp/opt/juicer/splits/HIC003_S2_L001_R2_001.fastq.gz.sam failed. Check /scratch/ala1zp/opt/juicer/lsf.out for results"
      exit 100
else
   echo "(-: Sort read 2 aligned file by readname completed."
fi

# remove header, add read end indicator toreadname
awk 'NF >= 11{$1 = $1"/1";print}' /scratch/ala1zp/opt/juicer/splits/HIC003_S2_L001_R1_001.fastq.gz_sort.sam > /scratch/ala1zp/opt/juicer/splits/HIC003_S2_L001_R1_001.fastq.gz_sort1.sam
awk 'NF >= 11{$1 = $1"/2";print}' /scratch/ala1zp/opt/juicer/splits/HIC003_S2_L001_R2_001.fastq.gz_sort.sam > /scratch/ala1zp/opt/juicer/splits/HIC003_S2_L001_R2_001.fastq.gz_sort1.sam
# merge the two sorted read end files
sort -T /scratch/ala1zp/opt/juicer/HIC_tmp -k1,1 -m /scratch/ala1zp/opt/juicer/splits/HIC003_S2_L001_R1_001.fastq.gz_sort1.sam /scratch/ala1zp/opt/juicer/splits/HIC003_S2_L001_R2_001.fastq.gz_sort1.sam > /scratch/ala1zp/opt/juicer/splits/HIC003_S2_L001_001.fastq.gz.sam
if [ 0 -ne 0 ]
then
   echo "***! Failure during merge of read files"
           echo "Merge of /scratch/ala1zp/opt/juicer/splits/HIC003_S2_L001_001.fastq.gz.sam failed. Check /scratch/ala1zp/opt/juicer/lsf.out for results"
   exit 100
else
   rm /scratch/ala1zp/opt/juicer/splits/HIC003_S2_L001_R1_001.fastq.gz.sa* /scratch/ala1zp/opt/juicer/splits/HIC003_S2_L001_R2_001.fastq.gz.sa* /scratch/ala1zp/opt/juicer/splits/HIC003_S2_L001_R1_001.fastq.gz_sort*.sam /scratch/ala1zp/opt/juicer/splits/HIC003_S2_L001_R2_001.fastq.gz_sort*.sam
   echo "/scratch/ala1zp/opt/juicer/splits/HIC003_S2_L001_001.fastq.gz.sam created successfully."
fi 

------------------------------------------------------------

Successfully completed.

Resource usage summary:

    CPU time   :     24.63 sec.
    Max Memory :         2 MB
    Max Swap   :       347 MB

    Max Processes  :         5
    Max Threads    :         6

The output (if any) follows:

(-: Sort read 1 aligned file by readname completed.
(-: Sort read 2 aligned file by readname completed.
/scratch/ala1zp/opt/juicer/splits/HIC003_S2_L001_001.fastq.gz.sam created successfully.
Sender: LSF System <srv-lsf@bmi-460g7-03>
Subject: Job 814790: <a1505344366_chimericHIC003_S2_L001_001.fastq.gz> Done

Job <a1505344366_chimericHIC003_S2_L001_001.fastq.gz> was submitted from host <bmi-250g8-01> by user <ala1zp> in cluster <BMICluster>.
Job was executed on host(s) <bmi-460g7-03>, in queue <normal>, as user <ala1zp> in cluster <BMICluster>.
</users/ala1zp> was used as the home directory.
</scratch/ala1zp/opt/juicer> was used as the working directory.
Started at Wed Sep 13 19:17:30 2017
Results reported at Wed Sep 13 19:20:02 2017

Your job looked like:

------------------------------------------------------------
# LSBATCH: User input
#!/bin/bash
#BSUB -q normal
#BSUB -M 16000
        #BSUB -W 24:00
#BSUB -o /scratch/ala1zp/opt/juicer/lsf.out
#BSUB -R "rusage[mem=8000]"
#BSUB -w " done(a1505344366_mergeHIC003_S2_L001_001.fastq.gz)"
#BSUB -J "a1505344366_chimericHIC003_S2_L001_001.fastq.gz"
export LC_ALL=C
# call chimeric_blacklist.awk to deal with chimeric reads; sorted file is sorted by read name at this point
awk -v "fname1"=/scratch/ala1zp/opt/juicer/splits/HIC003_S2_L001_001.fastq.gz_norm.txt -v "fname2"=/scratch/ala1zp/opt/juicer/splits/HIC003_S2_L001_001.fastq.gz_abnorm.sam -v "fname3"=/scratch/ala1zp/opt/juicer/splits/HIC003_S2_L001_001.fastq.gz_unmapped.sam -f /scratch/ala1zp/opt/juicer/scripts/chimeric_blacklist.awk /scratch/ala1zp/opt/juicer/splits/HIC003_S2_L001_001.fastq.gz.sam

        if [ $? -ne 0 ]                                              
        then                                       
            echo "***! Failure during chimera handling of /scratch/ala1zp/opt/juicer/splits/HIC003_S2_L001_001.fastq.gz"
            echo "Chimera handling of /scratch/ala1zp/opt/juicer/splits/HIC003_S2_L001_001.fastq.gz.sam failed. Check /scratch/ala1zp/opt/juicer/lsf.out for results"
            exit 100                                                     
        fi  
# if any normal reads were written, find what fragment they correspond to and store that
if [ -e "/scratch/ala1zp/opt/juicer/splits/HIC003_S2_L001_001.fastq.gz_norm.txt" ] && [ "MboI" != "none" ] 
then  
   /scratch/ala1zp/opt/juicer/scripts/fragment.pl /scratch/ala1zp/opt/juicer/splits/HIC003_S2_L001_001.fastq.gz_norm.txt /scratch/ala1zp/opt/juicer/splits/HIC003_S2_L001_001.fastq.gz.frag.txt /scratch/ala1zp/opt/juicer/restriction_sites/hg19_MboI.txt
        elif [ "MboI" == "none" ]
        then
            awk '{printf("%s %s %s %d %s %s %s %d", $1, $2, $3, 0, $4, $5, $6, 1); for (i=7; i<=NF; i++) {printf(" %s",$i);}printf("\n");}' /scratch/ala1zp/opt/juicer/splits/HIC003_S2_L001_001.fastq.gz_norm.txt > /scratch/ala1zp/opt/juicer/splits/HIC003_S2_L001_001.fastq.gz.frag.txt 
        else 
           echo "***! No /scratch/ala1zp/opt/juicer/splits/HIC003_S2_L001_001.fastq.gz_norm.txt file created"
           echo "Creation of /scratch/ala1zp/opt/juicer/splits/HIC003_S2_L001_001.fastq.gz_norm.txt failed. Check /scratch/ala1zp/opt/juicer/lsf.out for results"
           exit 100
        fi
if [ $? -ne 0 ] 
        then 
           echo "***! Failure during fragment assignment of /scratch/ala1zp/opt/juicer/splits/HIC003_S2_L001_001.fastq.gz"
           echo "Fragment assignment of /scratch/ala1zp/opt/juicer/splits/HIC003_S2_L001_001.fastq.gz.sam failed. Check /scratch/ala1zp/opt/juicer/lsf.out for results"
           exit 100 
        fi
# sort by chromosome, fragment, strand, and position
sort -T /scratch/ala1zp/opt/juicer/HIC_tmp -k2,2d -k6,6d -k4,4n -k8,8n -k1,1n -k5,5n -k3,3n /scratch/ala1zp/opt/juicer/splits/HIC003_S2_L001_001.fastq.gz.frag.txt > /scratch/ala1zp/opt/juicer/splits/HIC003_S2_L001_001.fastq.gz.sort.txt
        if [ $? -ne 0 ]
        then  
          echo "***! Failure during sort of /scratch/ala1zp/opt/juicer/splits/HIC003_S2_L001_001.fastq.gz"
          echo "Sort of /scratch/ala1zp/opt/juicer/splits/HIC003_S2_L001_001.fastq.gz.frag.txt failed. Check /scratch/ala1zp/opt/juicer/lsf.out for results"
          exit 100                                                        
        else
  rm /scratch/ala1zp/opt/juicer/splits/HIC003_S2_L001_001.fastq.gz_norm.txt /scratch/ala1zp/opt/juicer/splits/HIC003_S2_L001_001.fastq.gz.frag.txt
fi

------------------------------------------------------------

Successfully completed.

Resource usage summary:

    CPU time   :    146.58 sec.
    Max Memory :       709 MB
    Max Swap   :      1076 MB

    Max Processes  :         5
    Max Threads    :         6

The output (if any) follows:

Sender: LSF System <srv-lsf@bmi-460g6-09>
Subject: Job 814792: <a1505344366_fragmerge1> Exited

Job <a1505344366_fragmerge1> was submitted from host <bmi-250g8-01> by user <ala1zp> in cluster <BMICluster>.
Job was executed on host(s) <bmi-460g6-09>, in queue <normal>, as user <ala1zp> in cluster <BMICluster>.
</users/ala1zp> was used as the home directory.
</scratch/ala1zp/opt/juicer> was used as the working directory.
Started at Wed Sep 13 19:20:05 2017
Results reported at Wed Sep 13 19:20:07 2017

Your job looked like:

------------------------------------------------------------
# LSBATCH: User input
    #!/bin/bash
    #BSUB -q normal
    #BSUB -M 16000
    #BSUB -W 24:00
    #BSUB -o /scratch/ala1zp/opt/juicer/lsf.out
    #BSUB -w " done(a1505344366_chimeric*) " 
    #BSUB -J "a1505344366_fragmerge1"
    bkill -q Clean2 0

------------------------------------------------------------

Exited with exit code 255.

Resource usage summary:

    CPU time   :      0.45 sec.
    Max Memory :         6 MB
    Max Swap   :       469 MB

    Max Processes  :         4
    Max Threads    :         4

The output (if any) follows:

Clean2: No such queue
Sender: LSF System <srv-lsf@bmi-250g8-02>
Subject: Job 814793: <a1505344366_fragmerge> Done

Job <a1505344366_fragmerge> was submitted from host <bmi-250g8-01> by user <ala1zp> in cluster <BMICluster>.
Job was executed on host(s) <bmi-250g8-02>, in queue <normal>, as user <ala1zp> in cluster <BMICluster>.
</users/ala1zp> was used as the home directory.
</scratch/ala1zp/opt/juicer> was used as the working directory.
Started at Wed Sep 13 19:20:05 2017
Results reported at Wed Sep 13 19:20:22 2017

Your job looked like:

------------------------------------------------------------
# LSBATCH: User input
    #!/bin/bash
    #BSUB -q normal
    #BSUB -M 16000
    #BSUB -W 24:00
    #BSUB -o /scratch/ala1zp/opt/juicer/lsf.out
    #BSUB -w " done(a1505344366_chimeric*) "
    #BSUB -J "a1505344366_fragmerge"
    export LC_ALL=C
    if [ -d /scratch/ala1zp/opt/juicer/done_splits ]
    then
       mv /scratch/ala1zp/opt/juicer/done_splits/* /scratch/ala1zp/opt/juicer/splits/.
    fi
    if ! sort -T /scratch/ala1zp/opt/juicer/HIC_tmp -m -k2,2d -k6,6d -k4,4n -k8,8n -k1,1n -k5,5n -k3,3n /scratch/ala1zp/opt/juicer/splits/*.sort.txt  > /scratch/ala1zp/opt/juicer/aligned/merged_sort.txt
    then 
echo "***! Some problems occurred somewhere in creating  sorted align files."
    else
echo "(-: Finished sorting all sorted files into a single merge."
        rm -r /scratch/ala1zp/opt/juicer/HIC_tmp
    fi

------------------------------------------------------------

Successfully completed.

Resource usage summary:

    CPU time   :      1.64 sec.
    Max Memory :         9 MB
    Max Swap   :       473 MB

    Max Processes  :         4
    Max Threads    :         4

The output (if any) follows:

(-: Finished sorting all sorted files into a single merge.

kalav...@gmail.com

unread,
Sep 14, 2017, 10:51:41 AM9/14/17
to 3D Genomics
"Can this be related to an issue described in this post?" refers to the post here: https://groups.google.com/forum/#!topic/3d-genomics/OqaAcRHMXIM

Neva Durand

unread,
Sep 14, 2017, 11:26:57 AM9/14/17
to kalav...@gmail.com, 3D Genomics
Hello Kris,

I am surprised to see this error - the Clean2 queue is for AWS.  Are you using the AWS scripts or the LSF scripts?  There's no such job in the LSF scripts.

Regardless, I am also surprised that the rest of the jobs are still pending, since it looks like the actual "fragmerge" job worked.  You could kill the pending jobs and relaunch at the dedupping stage by sending in the "-S dedup" flag to your juicer call.

Re: other post, yes you could try that (the queues file).  I don't know your exact setup - for a regular LSF cluster I would first try the LSF scripts (though since you have everything working pretty much, I would first just relaunch with the "-S dedup" flag).

Best
Neva

--
You received this message because you are subscribed to the Google Groups "3D Genomics" group.
To unsubscribe from this group and stop receiving emails from it, send an email to 3d-genomics+unsubscribe@googlegroups.com.

For more options, visit https://groups.google.com/d/optout.

kalav...@gmail.com

unread,
Sep 15, 2017, 10:50:41 AM9/15/17
to 3D Genomics

Hi Neva,

Thanks again for the kind advice. I am now working with the managers of my cluster to determine why the LSF juicer.sh for our module contains a Clean queue that should not be in the LSF juicer.sh. Somehow, I found a few other differences in our LSF juicer.sh versus the LSF juicer.sh at the Aiden lab's GitHub repository. Can this be from an earlier version of the LSF juicer.sh?

Anyway, I would like to ask for a little more troubleshooting advice. When I restarted juicer.sh with -S dedup, the batch job continued but exited before generating _hic and _stats jobs. The jobs _cmd, _osplit, _launch, _msplit0002, _postproc_wrap, _msplit0000_, _prep_done, _catsplit, and _rmsplit completed with no problem. The jobs _hic30 and _stats exited with the readout "TERM_MEMLIMIT: job killed after reaching LSF memory usage limit. Exited with exit code 130." There was also error output for an unlabeled job (pasted at the end of this message; I also attached the full lsf.out txt in case you would like to see it). To complete the job, do you think it's OK to call juicer.sh with another -S flag, such as the 'final' flag since I have a merged_nodups.txt file?

One last question: when I run the juicer pipeline, I call juicer.sh from a module but with the flags '-d /scratch/ala1zp/opt/juicer -D /scratch/ala1zp/opt/juicer,' which point to directories I set up on my drive and not at the module directory. The module directory is missing scripts for post-processing while my directory contains them. Do you think post-processing will take place with this set-up?

Thanks!
Kris

Sender: LSF System <srv-lsf@bmi-460g7-05>
Subject: Job 815786: <    #!/bin/bash;    #BSUB -q normal;    #BSUB -M 16000;    #BSUB -W 24:00;    #BSUB -o /scratch/ala1zp/opt/juicer/lsf.out;    #BSUB -w " done(a1505448547_launch) ";    bsub -o /scratch/ala1zp/opt/juicer/lsf.out -q normal -W 24:00  -w "exit(a1505448547_postproc) || exit(a1505448547_stats) || exit(a1505448547_hic) || exit(a1505448547_hic30)" -J "a1505448547_clean3" "bkill -q normal 0; bkill -q CleanFnl 0; bkill -q normal 0;"> Exited

Job <    #!/bin/bash;    #BSUB -q normal;    #BSUB -M 16000;    #BSUB -W 24:00;    #BSUB -o /scratch/ala1zp/opt/juicer/lsf.out;    #BSUB -w " done(a1505448547_launch) ";    bsub -o /scratch/ala1zp/opt/juicer/lsf.out -q normal -W 24:00  -w "exit(a1505448547_postproc) || exit(a1505448547_stats) || exit(a1505448547_hic) || exit(a1505448547_hic30)" -J "a1505448547_clean3" "bkill -q normal 0; bkill -q CleanFnl 0; bkill -q normal 0;"> was submitted from host <bmi-460g7-05> by user <ala1zp> in cluster <BMICluster>.
Job was executed on host(s) <bmi-460g7-05>, in queue <normal>, as user <ala1zp> in cluster <BMICluster>.
</users/ala1zp> was used as the home directory.
</scratch/ala1zp/opt/juicer> was used as the working directory.
Started at Fri Sep 15 00:09:28 2017
Results reported at Fri Sep 15 00:09:28 2017

Your job looked like:


------------------------------------------------------------

# LSBATCH: User input

    #!/bin/bash

    #BSUB -q normal

    #BSUB -M 16000

    #BSUB -W 24:00

    #BSUB -o /scratch/ala1zp/opt/juicer/lsf.out

    #BSUB -w " done(a1505448547_launch) "

    bsub -o /scratch/ala1zp/opt/juicer/lsf.out -q normal -W 24:00  -w "exit(a1505448547_postproc) || exit(a1505448547_stats) || exit(a1505448547_hic) || exit(a1505448547_hic30)" -J "a1505448547_clean3" "bkill -q normal 0; bkill -q CleanFnl 0; bkill -q normal 0;"


------------------------------------------------------------


Exited with exit code 255.


Resource usage summary:


    CPU time   :      0.25 sec.

    Max Memory :         1 MB

    Max Swap   :       132 MB


    Max Processes  :         1

    Max Threads    :         1


The output (if any) follows:


a1505448547_postproc: No matching job found. Job not submitted.

To unsubscribe from this group and stop receiving emails from it, send an email to 3d-genomics...@googlegroups.com.
lsf-test-8-cont.txt

Neva Durand

unread,
Sep 15, 2017, 12:05:17 PM9/15/17
to kalav...@gmail.com, 3D Genomics
With the "df -h" command, it is certain that the Juicer installed is for AWS.  You should be using the LSF version.  You don't need your system admins to install it, simply follow the directions here:  https://github.com/theaidenlab/juicer/wiki/Running-Juicer-on-a-cluster

Juicer is a set of scripts, and you don't need root permissions to execute them.

The error you got was again from the non-existent queue.  I am not sure about the memory limit error but I think it best you start with this.

You could try and run with -S final to see what happens.  

To unsubscribe from this group and stop receiving emails from it, send an email to 3d-genomics+unsubscribe@googlegroups.com.
To view this discussion on the web visit https://groups.google.com/d/msgid/3d-genomics/c08227a2-74a2-4e81-bf0c-3a5f6cc0daa7%40googlegroups.com.

For more options, visit https://groups.google.com/d/optout.
Reply all
Reply to author
Forward
0 new messages